Subject: Re: [PATCH RFC 0/5] Introduce git-blame-tree(1) command

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 16 May 2025 06:30:27 +0200

On Thu, May 15, 2025 at 01:30:47PM -0400, Marc Branchaud wrote:
> On 2025-05-15 09:29, Patrick Steinhardt wrote:
> > On Wed, May 14, 2025 at 05:15:30PM -0400, Marc Branchaud wrote:
> > > in its name.
> > > 
> > > How about [[consults thesaurus ...]] "git ascribe-tree"?
> > > 
> > > Or maybe fold it into ls-tree, e.g. "git ls-tree --ascribe"?
> > 
> > I think anything that needs a thesaurus to come up with probably isn't a
> > good name for non-native speakers. I personally had to look up what this
> > word means.
> 
> Yeah, that was a bit tongue-in-cheek, sorry.
> 
> (Honestly, "ascribe" would be really bad, precisely because it is a synonym
> of "blame"...)

There's no need to be sorry, even if it hadn't been tongue-in-cheek :)

Patrick